package com.fdkankan.platform.goods.service;

import com.fdkankan.platform.goods.entity.Cart;
import com.baomidou.mybatisplus.extension.service.IService;
import com.fdkankan.platform.user.request.RequestCart;
import com.fdkankan.platform.user.vo.ResponseCart;

import java.util.List;

/**
 * <p>
 * 购物车 服务类
 * </p>
 *
 * @author 
 * @since 2021-12-24
 */
public interface ICartService extends IService<Cart> {

    String addCart(RequestCart param, String token);

    List<ResponseCart> getCartList(RequestCart param, String token);

    String removeCart(RequestCart param, String token);

    String removeCarts(RequestCart param, String token);
}
